Create Sora2 role
Create reusable characters from video footage.
POST
/sora/v1/charactersBody Parametersapplication/json
from_task string
Roles can be created based on the generated task id
timestamps* string
The unit is seconds, for example, ‘1,2’ refers to the characters that appear in 1 to 2 seconds of the video. Note that the range difference is a maximum of 3 seconds and a minimum of 1 second.
url string
The video contains the role that needs to be created, choose one of url and from_task
Responses
200 application/json
response-200 object
properties id* string
role id
permalink* string
Character homepage, jump to openai character homepage
profile_picture_url* string
Character avatar
username* string
Role name, used in prompt words @{username}
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"timestamps": "1,3",
3"url": "https://example.com/video.mp4"
4}
1curl -X POST "https://api.digislash.com/sora/v1/characters" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"timestamps": "1,3",
6"url": "https://example.com/video.mp4"
7}'
1▼{
2"id": "ch_6918d62178e48191a0b1ae49be428a13",
3"permalink": "https://sora.chatgpt.com/profile/hfspncadz.mooflapand",
4"profile_picture_url": "https://videos.openai.com/az/files/00000000-b788-71f7-9de5-96555ff29024%2Fraw?se=2025-11-20T00%3A00%3A00Z&sp=r&sv=2024-08-04&sr=b&skoid=1af02b11-169c-463d-b441-d2ccfc9f02c8&sktid=a48cca56-e6da-484e-a814-9c849652bcb3&skt=2025-11-15T01%3A48%3A34Z&ske=2025-11-22T01%3A53%3A34Z&sks=b&skv=2024-08-04&sig=3/KGVtkEsZWBTmErhzUEU5pWrnL8JxRKH0wVCQvh6Fo%3D&ac=oaisdmntprsouthcentralus",
5"username": "hfspncadz.mooflapand"
6}
